
import pymysql
import random

def random_connection_pool(max_size=5, min_size=2, pool_name='my_pool'):
    """
    This function creates a random connection pool with specified max and min size.
    It uses the pymysql library to manage the connections.
    """
    connection_pool = pymysql.ConnectionPool(
        pool_name=pool_name,
        pool_size=max_size,
        pool_reset_session=True,
        pool_pre_ping=True,
        host='localhost',
        user='root',
        password='password',
        database='testdb'
    )
    return connection_pool

